Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.collect
Class ForwardingSortedSet<E>

    java.lang.Object
      com.google.common.collect.ForwardingObject
          com.google.common.collect.ForwardingCollection<E>
              com.google.common.collect.ForwardingSet<E>
                  com.google.common.collect.ForwardingSortedSet<E>

All Implemented Interfaces:
  Iterable<E>, Collection<E>, Set<E>, SortedSet<E>

    public abstract class ForwardingSortedSet<E>

extends ForwardingSet<E>
implements SortedSet<E>

A sorted set which forwards all its method calls to another sorted set. Subclasses should override one or more methods to modify the behavior of the backing sorted set as desired per the decorator pattern.

Author:
  Mike Bostock
See Also:
  `ForwardingObject`

Constructor Summary
`ForwardingSortedSet()`

Method Summary
`Comparator<? super E>` | `comparator()` Returns the comparator used to order the elements in this set, or `null` if this set uses the natural ordering of its elements.
`protected abstract SortedSet<E>` | `delegate()` Returns the backing delegate instance that methods are forwarded to.
`E` | `first()` Returns the first (lowest) element currently in this set.
`SortedSet<E>` | `headSet(E toElement)` Returns a view of the portion of this set whose elements are strictly less than `toElement`.
`E` | `last()` Returns the last (highest) element currently in this set.
`SortedSet<E>` | `subSet(E fromElement, E toElement)` Returns a view of the portion of this set whose elements range from `fromElement`, inclusive, to `toElement`, exclusive.
`SortedSet<E>` | `tailSet(E fromElement)` Returns a view of the portion of this set whose elements are greater than or equal to `fromElement`.

Methods inherited from class com.google.common.collect.ForwardingSet
`equals, hashCode`

Methods inherited from class com.google.common.collect.ForwardingCollection
`add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Methods inherited from class com.google.common.collect.ForwardingObject
`toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### ForwardingSortedSet

    public ForwardingSortedSet()

Method Detail

### delegate

    protected abstract SortedSet<E> delegate()

  Description copied from class: `ForwardingObject`
  Returns the backing delegate instance that methods are forwarded to. Abstract subclasses generally override this method with an abstract method that has a more specific return type, such as `ForwardingSet.delegate()`. Concrete subclasses override this method to supply the instance being decorated.

  Specified by:
    `delegate` in class `ForwardingSet<E>`

### comparator

    public Comparator<? super E> comparator()

  Description copied from interface: `java.util.SortedSet`
  Returns the comparator used to order the elements in this set, or `null` if this set uses the natural ordering of its elements.

  Specified by:
    `comparator` in interface `SortedSet<E>`
  Returns:
    the comparator used to order the elements in this set, or `null` if this set uses the natural ordering of its elements

### first

    public E first()

  Description copied from interface: `java.util.SortedSet`
  Returns the first (lowest) element currently in this set.

  Specified by:
    `first` in interface `SortedSet<E>`
  Returns:
    the first (lowest) element currently in this set

### headSet

    public SortedSet<E> headSet(E toElement)

  Description copied from interface: `java.util.SortedSet`
  Returns a view of the portion of this set whose elements are strictly less than `toElement`. The returned set is backed by this set, so changes in the returned set are reflected in this set, and vice-versa. The returned set supports all optional set operations that this set supports.

  The returned set will throw an `IllegalArgumentException` on an attempt to insert an element outside its range.

  Specified by:
    `headSet` in interface `SortedSet<E>`
  Parameters:
    `toElement` - high endpoint (exclusive) of the returned set
  Returns:
    a view of the portion of this set whose elements are strictly less than `toElement`

### last

    public E last()

  Description copied from interface: `java.util.SortedSet`
  Returns the last (highest) element currently in this set.

  Specified by:
    `last` in interface `SortedSet<E>`
  Returns:
    the last (highest) element currently in this set

### subSet

    public SortedSet<E> subSet(E fromElement,
                               E toElement)

  Description copied from interface: `java.util.SortedSet`
  Returns a view of the portion of this set whose elements range from `fromElement`, inclusive, to `toElement`, exclusive. (If `fromElement` and `toElement` are equal, the returned set is empty.) The returned set is backed by this set, so changes in the returned set are reflected in this set, and vice-versa. The returned set supports all optional set operations that this set supports.

  The returned set will throw an `IllegalArgumentException` on an attempt to insert an element outside its range.

  Specified by:
    `subSet` in interface `SortedSet<E>`
  Parameters:
    `fromElement` - low endpoint (inclusive) of the returned set
    `toElement` - high endpoint (exclusive) of the returned set
  Returns:
    a view of the portion of this set whose elements range from `fromElement`, inclusive, to `toElement`, exclusive

### tailSet

    public SortedSet<E> tailSet(E fromElement)

  Description copied from interface: `java.util.SortedSet`
  Returns a view of the portion of this set whose elements are greater than or equal to `fromElement`. The returned set is backed by this set, so changes in the returned set are reflected in this set, and vice-versa. The returned set supports all optional set operations that this set supports.

  The returned set will throw an `IllegalArgumentException` on an attempt to insert an element outside its range.

  Specified by:
    `tailSet` in interface `SortedSet<E>`
  Parameters:
    `fromElement` - low endpoint (inclusive) of the returned set
  Returns:
    a view of the portion of this set whose elements are greater than or equal to `fromElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD